<?php $__env->startSection('styles'); ?>
<!-- Select2 CSS -->
<link rel="stylesheet" href="<?php echo e(asset('assets/plugins/select2/select2.min.css')); ?>">
<!-- Datatable CSS -->
<link rel="stylesheet" href="<?php echo e(asset('assets/css/dataTables.bootstrap4.min.css')); ?>">

<!-- Summernote CSS -->
<link rel="stylesheet" href="<?php echo e(asset('assets/plugins/summernote/dist/summernote-bs4.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-header'); ?>
<div class="row align-items-center">
	<div class="col">
		<h3 class="page-title">Projects</h3>
		<ul class="breadcrumb">
			<li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
			<li class="breadcrumb-item active">projects</li>
		</ul>
	</div>
    <div class="col-auto float-right ml-auto">
		<a href="#" class="btn add-btn" data-toggle="modal" data-target="#create_project"><i class="fa fa-plus"></i> Add Modal</a>
		<div class="view-icons">
			<a href="<?php echo e(route('projects')); ?>" class="grid-view btn btn-link <?php echo e(route_is('projects') ? 'active' : ''); ?>"><i class="fa fa-th"></i></a>
			<a href="<?php echo e(route('project-list')); ?>" class="list-view btn btn-link <?php echo e(route_is('project-list') ? 'active' : ''); ?>" class=><i class="fa fa-bars"></i></a>
		</div>
	</div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
<div class="row">
    <?php $__currentLoopData = $projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $project): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <div class="col-lg-4 col-sm-6 col-md-4 col-xl-3">
        <div class="card">
            <div class="card-body">
                <div class="dropdown dropdown-action profile-action">
                    <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="material-icons">more_vert</i></a>
                    <div class="dropdown-menu dropdown-menu-right">
                        <a class="dropdown-item editbtn" href="javascript:void(0)" data-id="<?php echo e($project->id); ?>" data-name="<?php echo e($project->name); ?>" 
                            data-client="<?php echo e(($project->client_id)); ?>" data-start="<?php echo e($project->start_date); ?>" data-end="<?php echo e($project->end_date); ?>"
                            data-rate="<?php echo e($project->rate); ?>" data-rtype="<?php echo e($project->rate_type); ?>" data-priority="<?php echo e($project->priority); ?>" 
                            data-leader="<?php echo e($project->leader); ?>" data-team="<?php echo e(json_encode($project->team)); ?>" 
                            data-description="<?php echo e($project->description); ?>" data-progress="<?php echo e($project->progress); ?>"><i class="fa fa-pencil m-r-5"></i> Edit</a>
                        <a class="dropdown-item deletebtn" href="javascript:void(0)" data-id="<?php echo e($project->id); ?>"><i class="fa fa-trash-o m-r-5"></i> Delete</a>
                    </div>
                </div>
                <h4 class="project-title"><a href="<?php echo e(route('project.show',$project->name)); ?>"><?php echo e($project->name); ?></a></h4>
                <small class="block text-ellipsis m-b-15">
                    <span class="text-xs">1</span> <span class="text-muted">open tasks, </span>
                    <span class="text-xs">9</span> <span class="text-muted">tasks completed</span>
                </small>
                <p class="text-muted">
                    <?php echo substr($project->description,0,120); ?>

                </p>
                <div class="pro-deadline m-b-15">
                    <div class="sub-title">
                        Deadline:
                    </div>
                    <div class="text-muted">
                        <?php echo e(date_format(date_create($project->end_date),"D M, Y")); ?>

                    </div>
                </div>
                <div class="project-members m-b-15">
                    <div>Project Leader :</div>
                    <?php
                        $leader = $project->employee($project->leader);
                    ?>
                    <ul class="team-members">
                        <li>
                            <a href="#" data-bs-toggle="tooltip" title="<?php echo e($leader->firstname.' '.$leader->lastname); ?>">
                                <img alt="avatar"  src="<?php echo e(!empty($leader->avatar) ? asset('storage/employees/'.$leader->avatar): asset('assets/img/user.jpg')); ?>">
                            </a>
                        </li>
                    </ul>
                </div>
                <div class="project-members m-b-15">
                    <div>Team :</div>
                   
                    <ul class="team-members">
                        <?php $__currentLoopData = $project->team; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $team_member): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $member = $project->employee($team_member);
                        ?>
                        <li>
                            <a href="#" data-bs-toggle="tooltip" title="<?php echo e($member->firstname.' '.$member->lastname); ?>"><img  src="<?php echo e(!empty($member->avatar) ? asset('storage/employees/'.$member->avatar): asset('assets/img/user.jpg')); ?>"></a>
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
                <p class="m-b-5">Progress <span class="text-success float-end"><?php echo e($project->progress); ?>%</span></p>
                <div class="progress progress-xs mb-0">
                    <div class="progress-bar bg-success" role="progressbar" data-bs-toggle="tooltip" title="<?php echo e($project->progress); ?>%" style="width: <?php echo e($project->progress); ?>%"></div>
                </div>
            </div>
        </div>
    </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>            
</div>
</div>
<!-- /Page Content -->  

<?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.modals.popup','data' => []]); ?>
<?php $component->withName('modals.popup'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
<?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.modals.delete','data' => ['route' => 'projects','title' => 'Project']]); ?>
<?php $component->withName('modals.delete'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['route' => 'projects','title' => 'Project']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>
<!-- summernote JS -->
<script src="<?php echo e(asset('assets/plugins/summernote/dist/summernote-bs4.min.js')); ?>"></script>
<!-- Select2 JS -->
<script src="<?php echo e(asset('assets/plugins/select2/select2.min.js')); ?>"></script>
<!-- Datatable JS -->
<script src="<?php echo e(asset('assets/js/jquery.dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/dataTables.bootstrap4.min.js')); ?>"></script>
<script>
    $(document).ready(function(){
        $('.card').on('click','.editbtn',(function(){
            var id = $(this).data('id');
            var name = $(this).data('name');
            var client = $(this).data('client');
            var startdate = $(this).data('start');
            var enddate = $(this).data('end');
            var rate = $(this).data('rate');
            var rate_type = $(this).data('rtype');
            var priority = $(this).data('priority');
            var leader = $(this).data('leader');
            var team  = $(this).data('team');
            var description = $(this).data('description');
            var progress = $(this).data('progress');
            $('#edit_project').modal('show');
            $('#edit_id').val(id);
            $('#edit_name').val(name);
            $('#edit_client').val(client).trigger('change');
            $('#edit_startdate').val(startdate);
            $('#edit_enddate').val(enddate);
            $('#edit_rate').val(rate);
            $('#edit_priority').val(priority);
            $('#edit_leader').val(leader).trigger('change');
            $('#edit_team').val(team).trigger('change');
            $('#edit_description').summernote('code', description);
            $('#edit_progress').val(progress);
            $('#progress_result').html("Progress Value: " + progress);
            $('#edit_progress').change(function(){
                $('#progress_result').html("Progress Value: " + $(this).val());
            });
        }));
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\hrms\resources\views/backend/projects/index.blade.php ENDPATH**/ ?>