<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <meta name="robots" content="noindex, nofollow">
		<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
        <title><?php echo e(ucfirst(config('app.name'))); ?> - <?php echo e(ucfirst($title)); ?></title>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(!empty(app(App\Settings\ThemeSettings::class)->favicon) ? asset('storage/settings/'.app(App\Settings\ThemeSettings::class)->favicon):asset('assets/img/favicon.png')); ?>">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap.min.css')); ?>">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/font-awesome.min.css')); ?>">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/line-awesome.min.css')); ?>">
		
		<!-- Datatable CSS -->
		<link rel="stylesheet" href="<?php echo e(asset('assets/css/dataTables.bootstrap4.min.css')); ?>">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="<?php echo e(asset('assets/css/select2.min.css')); ?>">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap-datetimepicker.min.css')); ?>">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/style.css')); ?>">

        <?php echo $__env->yieldContent('styles'); ?>
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
	
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php echo $__env->make('includes.frontend.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
			<!-- /Header -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper job-wrapper">
			
				<!-- Page Content -->
                <div class="content container">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row">
							<div class="col-sm-12">
								<?php echo $__env->yieldContent('breadcrumb'); ?>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					<?php if($errors->any()): ?>
						<div class="alert alert-danger alert-dismissible fade show" role="alert">
							<?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
							<strong>Error!</strong> <?php echo e($error); ?>.
							<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
							<button type="button" class="close" data-dismiss="alert" aria-label="Close">
								<span aria-hidden="true">&times;</span>
							</button>
						</div>
					<?php endif; ?>
					<?php if(session('success')): ?>
					<div class="alert alert-success alert-dismissible fade show" role="alert">
						<strong>Success! </strong><?php echo e(session('success')); ?>

						<button type="button" class="close" data-dismiss="alert" aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
					</div>
					<?php endif; ?>
					<div class="row">
                        <?php echo $__env->yieldContent('content'); ?>
                    </div>
                </div>

            </div>
			<!-- /Page Wrapper -->

        </div>
		<!-- /Main Wrapper -->

		<!-- jQuery -->
        <script src="<?php echo e(asset('assets/js/jquery-3.2.1.min.js')); ?>"></script>

		<!-- Bootstrap Core JS -->
        <script src="<?php echo e(asset('assets/js/popper.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bootstrap.min.js')); ?>"></script>

		<!-- Slimscroll JS -->
		<script src="<?php echo e(asset('assets/js/jquery.slimscroll.min.js')); ?>"></script>
		
		<!-- Select2 JS -->
		<script src="<?php echo e(asset('assets/js/select2.min.js')); ?>"></script>
		
		<!-- Datatable JS -->
		<script src="<?php echo e(asset('assets/js/jquery.dataTables.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/js/dataTables.bootstrap4.min.js')); ?>"></script>
		
		<!-- Datetimepicker JS -->
		<script src="<?php echo e(asset('assets/js/moment.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/js/bootstrap-datetimepicker.min.js')); ?>"></script>

		<!-- Custom JS -->
		<script src="<?php echo e(asset('assets/js/app.js')); ?>"></script>
		<?php echo $__env->yieldContent('scripts'); ?>
    </body>
</html><?php /**PATH C:\xampp\htdocs\Laravel-Smarthr-master\resources\views/layouts/frontend.blade.php ENDPATH**/ ?>